Summary: Enterprise Resource Management (server)
Name: openerp-server
Version: 6.0.2
Release: %mkrel 2
License: AGPLv3+
Group: System/Servers
URL: http://www.openerp.com/
Source: http://www.openerp.com/download/stable/source/%{name}-%{version}.tar.gz
BuildRequires: python-setuptools
BuildArch: noarch
Requires: python-libxslt
Requires: python-lxml
Requires: python-psycopg2
Requires: python-pychart
Requires: python-pydot
Requires: python-reportlab
Requires: python-pytz

%description
Open ERP, previously known as TinyERP, is a complete ERP and CRM. The main
features are accounting (analytic and financial), stock management, sales
and purchases management, tasks automation, marketing campaigns, help desk,
POS, etc. Technical features include a distributed server, flexible workflows,
an object database, a dynamic GUI, customizable reports, and NET-RPC and
XML-RPC interfaces.

This package contains the Open ERP server, install openerp-client package
for the client.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}

cat > %buildroot/%{_bindir}/%{name} << EOF
#!/bin/sh
exec %__python %{py_puresitedir}/%{name}.py $@
EOF

chmod a+x %buildroot/%{_bindir}/%{name}

mv %buildroot%{_datadir}/doc/%{name}-%{version} %buildroot%{_datadir}/doc/%{name}

%clean
rm -rf %{buildroot}

%files
%doc %{_datadir}/doc/%{name}/*
%{_bindir}/*
%{py_puresitedir}/*
%{_mandir}/man?/*


%changelog
* Sun Aug 07 2011 fwang <fwang> 6.0.2-2.mga2
+ Revision: 132167
- update file list
- update file list
- fix startup script

* Sun Jul 17 2011 fwang <fwang> 6.0.2-1.mga2
+ Revision: 125290
- br setuptools
- imported package openerp-server

